<?php
/*
Plugin Name: Responsive Amortization Calculator Widget Shortcode
Description: Use Responsive Amortization Calculator Widget as shortcode in post content
Plugin URI:  http://usmortgagecalculator.org/
Version:     2.0
*/

/*

USAGE:
Use [amortizationcalc] shortcode in your post content or widget area to show the responsive amortization calculator widget.

EXAMPLE:
[amortizationcalc format="responsive"][/amortizationcalc]

*/
function amortizationcalc_shortcode($atts, $content = null) {
	wp_register_script('acww-loader', 'http://usmortgagecalculator.org/widget/2.0/js/amortizationcalc-loader.min.js');
	wp_enqueue_script('acww-loader');
	
	return '<div id="acww-widgetwrapper" style="min-width:250px;width:100%;"><div id="acww-widget" style="position:relative;padding-top:0;padding-bottom:280px;height:0;overflow:hidden;"></div><div id="acww-more" style="background:#333;font:normal 13px/1 Helvetica, Arial, Verdana, Sans-serif;padding:10px 0;color:#FFF;text-align:center;width:100%;clear:both;margin:0;clear:both;float:left;"><a style="background:#333;color:#FFF;text-decoration:none;border-bottom:1px dotted #ccc;" href="http://usmortgagecalculator.org/" title="Mortgage Calculator" rel="nofollow" target="_blank">usmortgagecalculator.org</a></div></div>';
}
@add_shortcode('amortizationcalc','amortizationcalc_shortcode');
?>